<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );
         
if ( !function_exists( 'child_theme_configurator_css' ) ):
    function child_theme_configurator_css() {
        wp_enqueue_style( 'chld_thm_cfg_child', trailingslashit( get_stylesheet_directory_uri() ) . 'style.css', array( 'twenty-twenty-one-style','twenty-twenty-one-style','twenty-twenty-one-print-style' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'child_theme_configurator_css', 10 );

// END ENQUEUE PARENT ACTION
add_action( 'login_footer',  'login_validation_msg');
function login_validation_msg(){
 ?>
 <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
 <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.min.js"></script>
 <script type="text/javascript">
  jQuery(document).ready(function($) {
   $('#loginform').validate({
    rules: {
     log: {
      required: true
     },
     pwd: {
      required: true
     }
    },
    messages: {
     log: "<span style='color:red;'>Please enter a valid email address.</span>",
     pwd: "<span style='color:red;'>Please fill the required field</span>"
    },
   });
  });
 </script>
 <?php
}


add_filter('gettext', 'change_howdy', 10, 3);
function change_howdy($translated, $text, $domain) {
  if (!is_admin() || 'default' != $domain)
    return $translated;
  if (false !== strpos($translated, 'Howdy'))
    return str_replace('Howdy', 'Welcome', $translated);
  return $translated;
}
add_action( 'admin_bar_menu', 'remove_wp_logo', 999 );
function remove_wp_logo( $wp_admin_bar ) {
  $wp_admin_bar->remove_node( 'wp-logo' );
}


function remove_dashboard_widgets () {
  remove_meta_box('dashboard_quick_press','dashboard','side'); //Quick Press widget
  remove_meta_box('dashboard_recent_drafts','dashboard','side'); //Recent Drafts
  remove_meta_box('dashboard_primary','dashboard','side'); //WordPress.com Blog
  remove_meta_box('dashboard_secondary','dashboard','side'); //Other WordPress News
  remove_meta_box('dashboard_incoming_links','dashboard','normal'); //Incoming Links
  remove_meta_box('dashboard_plugins','dashboard','normal'); //Plugins
  remove_meta_box('dashboard_right_now','dashboard', 'normal'); //Right Now
  remove_meta_box('rg_forms_dashboard','dashboard','normal'); //Gravity Forms
  remove_meta_box('dashboard_recent_comments','dashboard','normal'); //Recent Comments
  remove_meta_box('icl_dashboard_widget','dashboard','normal'); //Multi Language Plugin
  remove_meta_box('dashboard_activity','dashboard', 'normal'); //Activity
  remove_action('welcome_panel','wp_welcome_panel');
}
add_action('wp_dashboard_setup', 'remove_dashboard_widgets');


add_action( 'wp_dashboard_setup', 'register_my_dashboard_widget' );
function register_my_dashboard_widget() {
  wp_add_dashboard_widget(
    'my_dashboard_widget',
    'My Dashboard Widget',
    'my_dashboard_widget_display'
  );
}
function my_dashboard_widget_display() {
  echo 'Hello, I am Mr. Widget';
}



function custom_login_logo() {
    echo '<style type="text/css">'.
             'h1 a { background-image:url('.get_site_url().'/wp-content/uploads/2021/06/logo.png) !important; background-size: 309px!important;  width: 100%!important;height: 97px!important;background-position: center!important;margin: 1px auto 1px!important;}'.
         '</style>';	
	//echo '<script> $("a").attr({
       //     "title" : "W3Schools jQuery Tutorial"
     //   });</script>';
	
}
add_action( 'login_head', 'custom_login_logo' );

function the_url( $url ) {
    return get_bloginfo( 'url' );
}
add_filter( 'login_headerurl', 'the_url' );

function my_footer_shh() {
    remove_filter( 'update_footer', 'core_update_footer' ); 
}

add_action( 'admin_menu', 'my_footer_shh' );


function remove_footer_admin () 
{
    echo '<span id="footer-thankyou">Designed by <a href="https://www.fitser.com/" target="_blank">Fitser</a></span>';
}
 
add_filter('admin_footer_text', 'remove_footer_admin');


add_filter('show_admin_bar', '__return_false');


function register_my_menu() {
  register_nav_menu('header-menu',__( 'Header Menu' ));   
  register_nav_menu('footer-menu',__( 'Footer Menu' ));   

}
add_action( 'init', 'register_my_menu' );

function mb_login_title() { return get_option( 'blogname' ); }
add_filter( 'login_headertitle', 'mb_login_title' );

add_filter( 'wpcf7_validate_text*', 'custom_text_validation_filter2', 10, 2 );

function custom_text_validation_filter2( $result, $tag ) {
    if ( 'fnm' == $tag->name ) {
        // matches any utf words with the first not starting with a number
        $re = '/[^A-Za-z_ -]/';
		//$re2 = '^[0-9]';
        if (preg_match($re, $_POST['fnm'], $matches)) {
            $result->invalidate($tag, "This is not a valid First name!" );
        }
    }

    return $result;
}

add_filter( 'wpcf7_validate_text*', 'custom_text_validation_filter20', 10, 2 );

function custom_text_validation_filter20( $result20, $tag ) {
    if ( 'lnm' == $tag->name ) {
        // matches any utf words with the first not starting with a number
        $re = '/[^A-Za-z_ -]/';
		//$re2 = '^[0-9]';
        if (preg_match($re, $_POST['lnm'], $matches)) {
            $result20->invalidate($tag, "This is not a valid Last name!" );
        }
    }

    return $result20;
}


