<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

?>
<!doctype html>
<html <?php language_attributes(); ?> <?php twentytwentyone_the_html_classes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<?php wp_head(); ?>
	<link rel="icon" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/logo.jpg" type="image/jpg" sizes="16x16">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/stellarnav.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" integrity="sha512-5A8nwdMOWrSz20fDsjczgUidUBR8liPYU+WymTZP1lmY9G6Oc7HlZv156XqnsgNUzTyMefFTcsFH/tnJE/+xBg==" crossorigin="anonymous" />
	<!-- ======Fonts===== -->
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap" rel="stylesheet">
	<!-- ======Fonts===== -->
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/owl.carousel.min.css" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/owl.theme.default.min.css" />
	<link href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/theme.css" rel="stylesheet">
	<link href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/responsive.css" rel="stylesheet">
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>


	<?php
if ( function_exists( 'ot_get_option' ) ) {   

   $phone_number = ot_get_option( 'phone_number' );
   $header_logo = ot_get_option( 'header_logo' );
}
	?>
<header class="top-header">
		<div class="topsocialnetwork">
			<div class="container">
				<div class="row">
					<div class="col-lg-6 col-md-6 col-sm-12">
						<p>The Most Complete Education Solution</p>
					
					</div>
					<div class="col-lg-6 col-md-6 col-sm-12">
						<ul class="toplinks">
							<li><a href="tel:+<?php echo $phone_number?>"> <i class="fa fa-mobile" aria-hidden="true"></i> Call Us +<?php echo $phone_number; ?></a></li>
							
							<li>SITE LANGUAGE:</li>
							<li>
								<!--<select name="" id="">
									
									<option value="">Spanish</option>
									<option value="">German</option>
								</select>-->
								<?php echo do_shortcode('[gtranslate]'); ?>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<div class="contact-box">
			<div class="container">
				<div class="row">
					<div class="col-lg-4 col-md-12 col-sm-12">
						<div class="toplogo">
							<a href="<?php echo home_url(); ?>"><img src="<?php echo $header_logo; ?>" alt="" class="img-fluid"></a>
						</div>
					</div>
					<div class="col-lg-8 col-md-12 col-sm-12">
						<div class="navigation-bar">
							<div class="main-navigation">
								<div class="stellarnav">
<!--
									<ul class="top-link-menue">
										<li class="active"><a href="#">Home</a> </li>
										<li><a href="#">Interpreting</a></li>
										<li><a href="#">Translating </a></li>
										<li><a href="#">Transcription </a></li>
										<li><a href="#">Immigration </a></li>
										<li><a href="#">Depositions </a></li>
										<li><a href="#"> Confrences</a></li>
										<li><a href="#">Contact</a></li>
									</ul>
-->
									<?php wp_nav_menu( array( 'theme_location' => 'header-menu' , 'container' => false, 'menu_class' => 'top-link-menue' ) ); ?>
								</div>
							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
</header>
	
	<?php if(is_home() || is_front_page()){?>
<section class="banner-scroll">
	<div id="slider1" class="owl-carousel owl-theme">
		<?php

	   // check if the repeater field has rows of data
           if( have_rows('banner_section') ){
	
	  // loop through the rows of data
               while ( have_rows('banner_section') ) : the_row();
	
	    
		$banner_image = get_sub_field('banner_image');
		$banner_title = get_sub_field('banner_title');
		$banner_content = get_sub_field('banner_content');
		$banner_button_name = get_sub_field('banner_button_name');
		$banner_button_url = get_sub_field('banner_button_url');
		
	 ?>
		<div class="item">
			<div class="caption-text">
				<div class="container">
					<div class="row">
						<div class=" col-lg-12 col-md-12 col-sm-12">
							<div class="info-text">
								<h1><?php echo $banner_title; ?></span>
                                    </h1>
								<?php echo $banner_content; ?>
								<ul class="v-courses">
									<li><a href="<?php echo $banner_button_url; ?>"><?php echo $banner_button_name; ?><i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>
									</li>

								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
			<img src="<?php echo $banner_image; ?>" alt="banner-img">
		</div>
		<?php endwhile; } wp_reset_query(); ?>
	</div>
</section>
<?php }else{ ?>
<section class="innerpage_banner">
  <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/inner_banner.jpg" alt="" />
  <div class="container">
    <div class="row">
      <h1><?php the_title(); ?></h1>
    </div>
  </div>
</section>
	<?php } ?>